<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="proxy" id="top-users-by-destinations">

 <lire:title>Top Users by Destinations Proxy Report</lire:title>
 <lire:description>
  <para>This report lists the most popular destinations along with the
   users that accessed them.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="users_to_show" type="int" default="10">
    <lire:description>
    <para>This parameter controls the number of users for each
       destinations to display in the report.</para>
   </lire:description>
  </lire:param>

  <lire:param name="dsts_to_show" type="int" default="10">
    <lire:description>
    <para>This parameter controls the number of destinations to
     display in the report.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Top Users by Destinations, Top $dsts_to_show
     sites, Top $users_to_show Users </lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:ne arg1="$user" arg2="-"/>
 </lire:filter-spec>

 <lire:report-calc-spec>
  <lire:group sort="-requests_total" limit="$dsts_to_show">
   <lire:field name="dst_host"/>

   <lire:group sort="-requests_total" limit="$users_to_show">
    <lire:field name="user"/>

    <lire:count name="requests_total" label="Requests"/>
    <lire:count name="requests_ratio" ratio="table" label="% Total"/>
    <lire:count name="requests_dst_ratio" ratio="group" label="% Dst"/>
   </lire:group>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
$Id: top-users-by-destinations.xml,v 1.3 2002/11/14 16:32:31 flacoste Exp $
Keep this comment at the end of the file
Local variables:
mode: xml
-->
